package com.ruoyi.jjh.declaration.controller;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.jjh.declaration.entity.BmsLogisticsDevelopmentAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsLogisticsDevelopmentAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsLogisticsDevelopmentAwardUpdateDto;
import com.ruoyi.jjh.declaration.service.IBmsLogisticsDevelopmentAwardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 物流发展奖补Controller
 * 
 * @author farben
 * @date 2023-08-25
 */
@RestController
@RequestMapping("/system/logisticsDevelopmentAward")
public class BmsLogisticsDevelopmentAwardController extends BaseController {
    @Autowired
    private IBmsLogisticsDevelopmentAwardService bmsLogisticsDevelopmentAwardService;

    /**
     * 查询物流发展奖补列表
     */
//    @RequiresPermissions("system:logisticsDevelopmentAward:list")
    @GetMapping("/list")
    public TableDataInfo list(BmsLogisticsDevelopmentAward bmsLogisticsDevelopmentAward) {
        startPage();
        List<BmsLogisticsDevelopmentAward> list = bmsLogisticsDevelopmentAwardService.selectBmsLogisticsDevelopmentAwardList(bmsLogisticsDevelopmentAward);
        return getDataTable(list);
    }

    /**
     * 导出物流发展奖补列表
     */
//    @RequiresPermissions("system:logisticsDevelopmentAward:export")
    @Log(title = "物流发展奖补", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, BmsLogisticsDevelopmentAward bmsLogisticsDevelopmentAward) {
        List<BmsLogisticsDevelopmentAward> list = bmsLogisticsDevelopmentAwardService.selectBmsLogisticsDevelopmentAwardList(bmsLogisticsDevelopmentAward);
        ExcelUtil<BmsLogisticsDevelopmentAward> util = new ExcelUtil<BmsLogisticsDevelopmentAward>(BmsLogisticsDevelopmentAward.class);
        util.exportExcel(response, list, "物流发展奖补数据");
    }

    /**
     * 获取物流发展奖补详细信息
     */
//    @RequiresPermissions("system:logisticsDevelopmentAward:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bmsLogisticsDevelopmentAwardService.selectBmsLogisticsDevelopmentAwardById(id));
    }

    /**
     * 新增物流发展奖补
     */
//    @RequiresPermissions("system:logisticsDevelopmentAward:add")
    @Log(title = "物流发展奖补", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody BmsLogisticsDevelopmentAwardAddDto bmsLogisticsDevelopmentAwardAddDto) {
        return toAjax(bmsLogisticsDevelopmentAwardService.insertBmsLogisticsDevelopmentAward(bmsLogisticsDevelopmentAwardAddDto));
    }

    /**
     * 修改物流发展奖补
     */
//    @RequiresPermissions("system:logisticsDevelopmentAward:edit")
    @Log(title = "物流发展奖补", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody BmsLogisticsDevelopmentAwardUpdateDto bmsLogisticsDevelopmentAwardUpdateDto) {
        return toAjax(bmsLogisticsDevelopmentAwardService.updateBmsLogisticsDevelopmentAward(bmsLogisticsDevelopmentAwardUpdateDto));
    }

    /**
     * 删除物流发展奖补
     */
//    @RequiresPermissions("system:logisticsDevelopmentAward:remove")
    @Log(title = "物流发展奖补", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bmsLogisticsDevelopmentAwardService.deleteBmsLogisticsDevelopmentAwardByIds(ids));
    }
}
