package com.ruoyi.jjh.declaration.controller;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.jjh.declaration.entity.BmsManufacturingServicesAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsManufacturingServicesAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsManufacturingServicesAwardUpdateDto;
import com.ruoyi.jjh.declaration.service.IBmsManufacturingServicesAwardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 制造服务业有效投入奖补Controller
 * 
 * @author farben
 * @date 2023-08-25
 */
@RestController
@RequestMapping("/system/manufacturingServicesAward")
public class BmsManufacturingServicesAwardController extends BaseController {
    @Autowired
    private IBmsManufacturingServicesAwardService bmsManufacturingServicesAwardService;

    /**
     * 查询制造服务业有效投入奖补列表
     */
//    @RequiresPermissions("system:manufacturingServicesAward:list")
    @GetMapping("/list")
    public TableDataInfo list(BmsManufacturingServicesAward bmsManufacturingServicesAward) {
        startPage();
        List<BmsManufacturingServicesAward> list = bmsManufacturingServicesAwardService.selectBmsManufacturingServicesAwardList(bmsManufacturingServicesAward);
        return getDataTable(list);
    }

    /**
     * 导出制造服务业有效投入奖补列表
     */
//    @RequiresPermissions("system:manufacturingServicesAward:export")
    @Log(title = "制造服务业有效投入奖补", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, BmsManufacturingServicesAward bmsManufacturingServicesAward) {
        List<BmsManufacturingServicesAward> list = bmsManufacturingServicesAwardService.selectBmsManufacturingServicesAwardList(bmsManufacturingServicesAward);
        ExcelUtil<BmsManufacturingServicesAward> util = new ExcelUtil<BmsManufacturingServicesAward>(BmsManufacturingServicesAward.class);
        util.exportExcel(response, list, "制造服务业有效投入奖补数据");
    }

    /**
     * 获取制造服务业有效投入奖补详细信息
     */
//    @RequiresPermissions("system:manufacturingServicesAward:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bmsManufacturingServicesAwardService.selectBmsManufacturingServicesAwardById(id));
    }

    /**
     * 新增制造服务业有效投入奖补
     */
//    @RequiresPermissions("system:manufacturingServicesAward:add")
    @Log(title = "制造服务业有效投入奖补", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody BmsManufacturingServicesAwardAddDto bmsManufacturingServicesAwardAddDto) {
        return toAjax(bmsManufacturingServicesAwardService.insertBmsManufacturingServicesAward(bmsManufacturingServicesAwardAddDto));
    }

    /**
     * 修改制造服务业有效投入奖补
     */
//    @RequiresPermissions("system:manufacturingServicesAward:edit")
    @Log(title = "制造服务业有效投入奖补", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody BmsManufacturingServicesAwardUpdateDto bmsManufacturingServicesAwardUpdateDto) {
        return toAjax(bmsManufacturingServicesAwardService.updateBmsManufacturingServicesAward(bmsManufacturingServicesAwardUpdateDto));
    }

    /**
     * 删除制造服务业有效投入奖补
     */
//    @RequiresPermissions("system:manufacturingServicesAward:remove")
    @Log(title = "制造服务业有效投入奖补", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bmsManufacturingServicesAwardService.deleteBmsManufacturingServicesAwardByIds(ids));
    }
}
