package com.ruoyi.jjh.declaration.controller;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.jjh.declaration.entity.BmsProjectSettlementAward;
import com.ruoyi.jjh.declaration.entity.dto.BmsProjectSettlementAwardAddDto;
import com.ruoyi.jjh.declaration.entity.dto.BmsProjectSettlementAwardUpdateDto;
import com.ruoyi.jjh.declaration.service.IBmsProjectSettlementAwardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 项目落户奖补Controller
 * 
 * @author farben
 * @date 2023-08-25
 */
@RestController
@RequestMapping("/system/projectSettlementAward")
public class BmsProjectSettlementAwardController extends BaseController {
    @Autowired
    private IBmsProjectSettlementAwardService bmsProjectSettlementAwardService;

    /**
     * 查询项目落户奖补列表
     */
//    @RequiresPermissions("system:projectSettlementAward:list")
    @GetMapping("/list")
    public TableDataInfo list(BmsProjectSettlementAward bmsProjectSettlementAward) {
        startPage();
        List<BmsProjectSettlementAward> list = bmsProjectSettlementAwardService.selectBmsProjectSettlementAwardList(bmsProjectSettlementAward);
        return getDataTable(list);
    }

    /**
     * 导出项目落户奖补列表
     */
//    @RequiresPermissions("system:projectSettlementAward:export")
    @Log(title = "项目落户奖补", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, BmsProjectSettlementAward bmsProjectSettlementAward) {
        List<BmsProjectSettlementAward> list = bmsProjectSettlementAwardService.selectBmsProjectSettlementAwardList(bmsProjectSettlementAward);
        ExcelUtil<BmsProjectSettlementAward> util = new ExcelUtil<BmsProjectSettlementAward>(BmsProjectSettlementAward.class);
        util.exportExcel(response, list, "项目落户奖补数据");
    }

    /**
     * 获取项目落户奖补详细信息
     */
//    @RequiresPermissions("system:projectSettlementAward:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bmsProjectSettlementAwardService.selectBmsProjectSettlementAwardById(id));
    }

    /**
     * 新增项目落户奖补
     */
//    @RequiresPermissions("system:projectSettlementAward:add")
    @Log(title = "项目落户奖补", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody BmsProjectSettlementAwardAddDto bmsProjectSettlementAwardAddDto) {
        return toAjax(bmsProjectSettlementAwardService.insertBmsProjectSettlementAward(bmsProjectSettlementAwardAddDto));
    }

    /**
     * 修改项目落户奖补
     */
//    @RequiresPermissions("system:projectSettlementAward:edit")
    @Log(title = "项目落户奖补", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody BmsProjectSettlementAwardUpdateDto bmsProjectSettlementAwardUpdateDto) {
        return toAjax(bmsProjectSettlementAwardService.updateBmsProjectSettlementAward(bmsProjectSettlementAwardUpdateDto));
    }

    /**
     * 删除项目落户奖补
     */
//    @RequiresPermissions("system:projectSettlementAward:remove")
    @Log(title = "项目落户奖补", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bmsProjectSettlementAwardService.deleteBmsProjectSettlementAwardByIds(ids));
    }
}
