package com.ruoyi.jjh.declaration.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 信用管理奖补对象 bms_credit_management
 * 
 * @author farben
 * @date 2023-09-04
 */
public class BmsCreditManagement extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /** 企业id */
    @Excel(name = "企业id")
    private Long enterpriseId;

    /** 项目方案（包括项目基本情况介绍、项目投资情况以及实施进展、项目目标及取得的主要成效） */
    @Excel(name = "项目方案", readConverterExp = "包=括项目基本情况介绍、项目投资情况以及实施进展、项目目标及取得的主要成效")
    private String projectPlan;

    /** 资金使用说明（项目未完成的需提供，内容主要包括项目计划投资额，投资明细，目前已完成投资情况和后续投入计划等） */
    @Excel(name = "资金使用说明", readConverterExp = "项=目未完成的需提供，内容主要包括项目计划投资额，投资明细，目前已完成投资情况和后续投入计划等")
    private String usesFunds;

    /** 项目专项审计报告（项目已完成的需提供） */
    @Excel(name = "项目专项审计报告", readConverterExp = "项=目已完成的需提供")
    private String auditReport;

    /** 是否删除：0，未删除；1，已删除 */
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setEnterpriseId(Long enterpriseId){
        this.enterpriseId = enterpriseId;
    }

    public Long getEnterpriseId(){
        return enterpriseId;
    }
    public void setProjectPlan(String projectPlan){
        this.projectPlan = projectPlan;
    }

    public String getProjectPlan(){
        return projectPlan;
    }
    public void setUsesFunds(String usesFunds){
        this.usesFunds = usesFunds;
    }

    public String getUsesFunds(){
        return usesFunds;
    }
    public void setAuditReport(String auditReport){
        this.auditReport = auditReport;
    }

    public String getAuditReport(){
        return auditReport;
    }
    public void setIsDeleted(Long isDeleted){
        this.isDeleted = isDeleted;
    }

    public Long getIsDeleted(){
        return isDeleted;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("enterpriseId", getEnterpriseId())
            .append("projectPlan", getProjectPlan())
            .append("usesFunds", getUsesFunds())
            .append("auditReport", getAuditReport())
            .append("isDeleted", getIsDeleted())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
