package com.ruoyi.jjh.declaration.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业基础信息对象 bms_enterprise_basic_info
 *
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsEnterpriseBasicInfo extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @JSONField(serialize=false)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业名称
     */
    @JSONField(name = "企业名称")
    @Excel(name = "企业名称")
    private String enterpriseName;

    /**
     * 企业统一信用代码
     */
    @JSONField(name = "企业统一信用代码")
    @Excel(name = "企业统一信用代码")
    private String creditCode;

    /**
     * 联系人
     */
    @JSONField(name = "联系人")
    @Excel(name = "联系人")
    private String contacts;

    /**
     * 联系人电话
     */
    @JSONField(name = "联系人电话")
    @Excel(name = "联系人电话")
    private String contactsNumber;

    /**
     * 企业地址
     */
    @JSONField(name = "企业地址")
    @Excel(name = "企业地址")
    private String address;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @JSONField(serialize=false)
    @Excel(name = "是否删除",readConverterExp = "0=未删除,1=已删除")
    private Long isDeleted;


    @Override
    public String toString() {
        return "BmsEnterpriseBasicInfo{" +
                "id=" + id +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", creditCode='" + creditCode + '\'' +
                ", contacts='" + contacts + '\'' +
                ", contactsNumber='" + contactsNumber + '\'' +
                ", address='" + address + '\'' +
                ", isDeleted=" + isDeleted +
                '}';
    }
}
