package com.ruoyi.jjh.declaration.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 制造服务业有效投入奖补对象 bms_manufacturing_services_award
 *
 * @author farben
 * @date 2023-08-25
 */
public class BmsManufacturingServicesAward extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @JSONField(serialize = false)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业id
     */
    @JSONField(serialize = false)
    @Excel(name = "企业id")
    private Long enterpriseId;

    /**
     * 企业投资项目备案通知书或核准批复文件
     */
    @JSONField(serialize = false)
    @Excel(name = "企业投资项目备案通知书或核准批复文件")
    private String filingNotice;

    /**
     * 购置设备发票清单及发票扫描件
     */
    @JSONField(serialize = false)
    @Excel(name = "购置设备发票清单及发票扫描件")
    private String invoice;

    /**
     * 会计师事务所出具的企业申报项目购置设备情况的专项审计报告
     */
    @JSONField(serialize = false)
    @Excel(name = "会计师事务所出具的企业申报项目购置设备情况的专项审计报告")
    private String auditReport;

    /**
     * 会计师事务所出具的企业财务报表审计报告
     */
    @JSONField(serialize = false)
    @Excel(name = "会计师事务所出具的企业财务报表审计报告")
    private String financialStatements;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @JSONField(serialize = false)
    @Excel(name = "是否删除：0，未删除；1，已删除")
    private Long isDeleted;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getFilingNotice() {
        return filingNotice;
    }

    public void setFilingNotice(String filingNotice) {
        this.filingNotice = filingNotice;
    }

    public String getInvoice() {
        return invoice;
    }

    public void setInvoice(String invoice) {
        this.invoice = invoice;
    }

    public String getAuditReport() {
        return auditReport;
    }

    public void setAuditReport(String auditReport) {
        this.auditReport = auditReport;
    }

    public String getFinancialStatements() {
        return financialStatements;
    }

    public void setFinancialStatements(String financialStatements) {
        this.financialStatements = financialStatements;
    }

    public Long getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Long isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("enterpriseId", getEnterpriseId()).append("filingNotice", getFilingNotice()).append("invoice", getInvoice()).append("auditReport", getAuditReport()).append("financialStatements", getFinancialStatements()).append("isDeleted", getIsDeleted()).append("createBy", getCreateBy()).append("createTime", getCreateTime()).append("updateBy", getUpdateBy()).append("updateTime", getUpdateTime()).toString();
    }
}
