package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.declaration.entity.BmsDeclarationRecords;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * <p>
 * 在线申报列表VO
 * <p>
 *
 * @className: BmsDeclarationRecordsDto
 * @author: emiya.xie
 * @create: 2023-08-28 17:54
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsDeclarationRecordsDto extends BmsDeclarationRecords {

    @ApiModelProperty(value = "申报单位")
    @Excel(name = "申报单位")
    private String enterpriseName;

    /** 级别 0:本级,1:省级 */
    @ApiModelProperty(value = "级别 0:本级,1:省级")
    @Excel(name = "级别", readConverterExp = "0=本级,1=省级")
    private Long level;

    /** 申报类型 0:/, 1:试点区域,2:龙头型,3:创新型 */
    @ApiModelProperty(value = "申报类型 0:/, 1:试点区域,2:龙头型,3:创新型")
    @Excel(name = "申报类型", readConverterExp = "0=/,1=试点区域,2=龙头型,3=创新型")
    private Long type;

    /** 责任单位 0：经发委:1：规建委:2：行审局:3：市监局 */
    @ApiModelProperty(value = "责任单位 0：经发委:1：规建委:2：行审局:3：市监局")
    @Excel(name = "责任单位", readConverterExp = "0=经发委,1=规建委,2=行审局,3=市监局")
    private Long responsibilityUnit;

    @ApiModelProperty(value = "模板名称")
    private String templateName;

    @ApiModelProperty(value = "审批状态")
    @Excel(name = "审批状态",readConverterExp = "0=草稿,1=初审中,2=复审中,3=专家评审中,4=市级评定中,5=评定通过,6=专家评审-拒绝,7=复审-拒绝,8=初审-拒绝,9=评定驳回")
    private List<Long> statusStr;
}
